Bug 164802 - Artsd uses 100% CPU after sound notification
Artsd uses 100% CPU after sound notification
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: arts (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
http://bugs.kde.org/show_bug.cgi?id=1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-01 11:58 EDT by Francisco Miguel Biete
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: arts-1.5.5-0.1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-20 07:44:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Francisco Miguel Biete 2005-08-01 11:58:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; es-ES; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
After the system plays any notification sound artsd uses 100% CPU as described in that link from KDE Bugzilla.
It happened too with the previous version arts-1.4.1

I downloades the SRPMS for version 1.4.1 and version 1.4.2 applied tha patch posted in that page and it seems to work (I tested first the 1.4.1 and after the submmit of an updated package for arts, I tried it but it seems to be failing yet)

Version-Release number of selected component (if applicable):
arts-1.4.2-0.fc4.1 i386 and x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install arts official fc4 updated package
2. try to play any notification sound (from control center by example)
3. top show artsd using the 100% CPU until you kill it

2. logoff an start a new KDE session
3. sometimes you will get a overload CPU message from arts
  

Actual Results:  artsd process uses 100% CPU

Expected Results:  artsd process goes back to sleep ;)

Additional info:

it seems to be a know bug for x86_64, i found it in arts 1.4.1 but after release of arts 1.4.2 it's yet there
Comment 1 Christian Iseli 2007-01-19 19:47:19 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Francisco Miguel Biete 2007-01-20 07:47:06 EST
In Fedora Core 6 I don't get anymore this problem.
arts-1.5.5-0.1.fc6

Note You need to log in before you can comment on or make changes to this bug.